Package org.gradle.api.artifacts

## Interface DependencyConstraintSet

- All Superinterfaces:
    `java.util.Collection<DependencyConstraint>`, `DomainObjectCollection<DependencyConstraint>`, `DomainObjectSet<DependencyConstraint>`, `java.lang.Iterable<DependencyConstraint>`, `java.util.Set<DependencyConstraint>`

      public interface DependencyConstraintSet
      extends DomainObjectSet<DependencyConstraint>

  A set of dependency constraint definitions that are associated with a configuration.
  Since:
    4.6

- - ### Method Summary

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream, toArray`

    - ### Methods inherited from interface org.gradle.api.DomainObjectCollection

      `addAllLater, addLater, all, all, configureEach, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

    - ### Methods inherited from interface org.gradle.api.DomainObjectSet

      `findAll, matching, matching, withType`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, spliterator, toArray, toArray`